%define anolis_release 1
%define base_name microcode
%global debug_package %{nil}

Summary:        Tool to transform and deploy CPU microcode update for x86
Name:           %{base_name}_ctl
Version:        20240312
Release:        %{anolis_release}%{?dist}
License:        GPLv2+ and Redistributable, no modification permitted
URL:            https://github.com/intel/Intel-Linux-Processor-Microcode-Data-Files
Source0:        https://github.com/intel/Intel-Linux-Processor-Microcode-Data-Files/archive/refs/tags/%{base_name}-%{version}.tar.gz
Source1:        Makefile
ExclusiveArch:  x86_64 loongarch64 aarch64
BuildRequires:  make

%description
The microcode_ctl utility is a companion to the microcode driver written
by Tigran Aivazian <tigran@aivazian.fsnet.co.uk>.

The microcode update is volatile and needs to be uploaded on each system
boot i.e. it doesn't reflash your cpu permanently, reboot and it reverts
back to the old microcode.

%prep
%setup -T -q -c -n %{base_name}-%{version}
tar -xf %{SOURCE0} --strip 1 --wildcards */intel-ucode/* */intel-ucode-with-caveats/* \
    --one-top-level=intel-ucode --strip-components=2 --backup=simple
if [ $? -ne 0 ]; then
  exit $?
fi

cp -p %{SOURCE1} .
if [ $? -ne 0 ]; then
  exit $?
fi

%build
make CFLAGS="$RPM_OPT_FLAGS" %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} PREFIX=%{_prefix} INSDIR=/usr/sbin install clean

%files
/lib/firmware/*


%changelog
* Tue Jul 09 2024 mgb01105731 <mgb01105731@alibaba-inc.com> - 20240312-1
- update to 20240312

* Wed Mar 13 2024 lidongyue <dongyue@nfschina.com> - 20231114-1
- New version 20231114

* Mon Sep 25 2023 Wenlong Zhang <zhangwenlong@loongson.cn> - 20230808-2
- Add loongarch64 support

* Thu Aug 10 2023 Funda Wang <fundawang@yeah.ent> - 20230808-1
- New version 20230808

* Fri Mar 11 2022 Weitao Zhou <zhouwt@linux.alibaba.com> - 20220207-1
- Initial packaging, based upon upstream 20220207 release
